Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Rooms

Released calendar service APIs

API release

Summary:The article details new Zoom Rooms calendar service APIs, additional billing fields in Zoom Room APIs, and a new remote support field. New APIs allow managing calendar services and resources. Billing fields provide billing account info. The remote support field enables remote support sessions.

Added

New response fields (billing_account_id, billing_account_name) in Zoom Rooms APIs:

  • GET /v2/phone/rooms
  • GET /v2/phone/rooms/{roomId}

New request body field (billing_account_id) in Assign calling plans to a Zoom Room API:

  • POST /v2/phone/rooms/{roomId}/calling_plans

New query parameter (billing_account_id) in Remove a calling plan from a Zoom Room API:

  • DELETE /v2/phone/rooms/{roomId}/calling_plans/{type}

New Zoom Rooms Calendar APIs:

  • GET /v2/rooms/calendar/services
  • DELETE /v2/rooms/calendar/services/{serviceId}
  • GET /v2/rooms/calendar/services/{serviceId}/resources
  • POST /v2/rooms/calendar/services/{serviceId}/resources
  • GET /v2/rooms/calendar/services/{serviceId}/resources/{resourceId}
  • DELETE /v2/rooms/calendar/services/{serviceId}/resources/{resourceId}
  • PUT /v2/rooms/calendar/services/{serviceId}/sync

Enhancements

New remote_support field in the following Zoom Room APIs:

  • GET /v2/rooms/{roomId}/settings
  • PATCH /v2/rooms/{roomId}/settings